For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate an API token
      • DELDelete an API token
      • GETGet an API token
      • GETList API tokens
      • POSTRotate API token
      • POSTUpdate an API token
      • POSTUpdate API token roles
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceAPI Token

List API tokens

GET
https://api.astronomer.io/v1/organizations/:organizationId/tokens
GET
/v1/organizations/:organizationId/tokens
$curl https://api.astronomer.io/v1/organizations/organizationId/tokens \
> -H "Authorization: Bearer <token>"
1{
2 "limit": 10,
3 "offset": 0,
4 "tokens": [
5 {
6 "createdAt": "2022-11-22T04:37:12Z",
7 "description": "my token description",
8 "id": "clm8q7f6q000008lcgyougpsk",
9 "kind": "STANDARD",
10 "name": "My token",
11 "scope": "WORKSPACE",
12 "shortToken": "short-token",
13 "startAt": "2022-11-22T04:37:12Z",
14 "updatedAt": "2022-11-22T04:37:12Z",
15 "createdBy": {
16 "id": "clm8qv74h000008mlf08scq7k",
17 "apiTokenName": "my-token",
18 "avatarUrl": "https://avatar.url",
19 "fullName": "Jane Doe",
20 "subjectType": "USER",
21 "username": "user1@company.com"
22 },
23 "endAt": "2022-11-22T04:37:12Z",
24 "expiryPeriodInDays": 30,
25 "lastRotatedAt": "2022-11-22T04:37:12Z",
26 "lastUsedAt": "2022-11-22T04:37:12Z",
27 "roles": [
28 {
29 "entityId": "clm8sgvai000008l794psbkdv",
30 "entityType": "WORKSPACE",
31 "role": "WORKSPACE_MEMBER",
32 "deploymentId": "clm8t5u4q000008jq4qoc3031"
33 }
34 ],
35 "token": "token",
36 "updatedBy": {
37 "id": "clm8qv74h000008mlf08scq7k",
38 "apiTokenName": "my-token",
39 "avatarUrl": "https://avatar.url",
40 "fullName": "Jane Doe",
41 "subjectType": "USER",
42 "username": "user1@company.com"
43 }
44 }
45 ],
46 "totalCount": 100
47}

List information about all API tokens from an Organization. Filters on Workspace when Workspace ID is provided. When includeOnlyOrganizationTokens is true, only Organization API tokens are returned.

Was this page helpful?
Previous

Rotate API token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to list tokens for.

Query parameters

workspaceIdstringOptional
The ID of the Workspace to list API tokens for.
deploymentIdstringOptional
The ID of the Deployment to list API tokens for.
dagIdstringOptional
The ID of the DAG to list API tokens for.
dagTagslist of stringsOptional
The tags of the DAG to list API tokens for.
includeOnlyOrganizationTokensbooleanOptional
Whether to show only Organization API tokens.
kindenumOptional
The kind of the API token to list API tokens for.
Allowed values:
offsetintegerOptional>=0Defaults to 0
Offset for pagination
limitintegerOptional0-1000Defaults to 20
Limit for pagination
sortslist of enumsOptional

Sorting criteria, each criterion should conform to format ‘fieldName:asc’ or ‘fieldName:desc’

Response

OK
limitinteger
The limit of values in this page.
offsetinteger
The offset of values in this page.
tokenslist of objects
The list of API tokens in this page.
totalCountinteger
The total number of API tokens.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error